/*
Site footer

@copyright (c) Copyright 2013-2017 Dorian Pula
@license AGPL-1.0
@author Dorian Pula [dorian.pula@amber-penguin-software.ca]
*/


import {h, Component} from 'preact';  /** @jsx h*/
import {Row, Col} from 'reactstrap';
import PropTypes from 'prop-types';

import {MarkdownBlock} from '../views/MarkdownBlock';


export class SiteFooter extends Component {
  static get propTypes() {
    return {
      footer: PropTypes.string
    }
  }

  render() {
    return (
      <Row className='justify-content-end'>
        <Col lg='8'>
          <MarkdownBlock { ...this.props.footer } id='footer' />
        </Col>
      </Row>
    );
  }
}
